libzypp 17.37.10

SysContent.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <set>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/PoolItem.h>`
`#include <zypp/Edition.h>`
`#include <zypp/Date.h>`

Go to the source code of this file.

## Classes
class | zypp::syscontent::Writer
| Collect and serialize a set of ResObject. More...
class | zypp::syscontent::Reader
| Retrieve ResObject data serialized by Writer. More...
class | zypp::syscontent::Reader::Entry
| Restored ResObject data. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::syscontent